#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_parse_hdmi_phandle, "_gpl", "");
KSYMTAB_FUNC(cec_pin_changed, "_gpl", "");
KSYMTAB_FUNC(cec_pin_allocate_adapter, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x302417a9, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x105ef23a, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xd5738adc, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x06a18aad, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xcc00761d, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x2401016e, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x86a1dd87, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xf4f4aeb3, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0xa69024d6, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x3a5e4a82, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x3b9187a9, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xb5deb053, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xc2826295, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0xd5e8f95d, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x257e7ffb, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xa49db9c5, "_gpl");
SYMBOL_CRC(cec_notifier_conn_register, 0x032109f9, "_gpl");
SYMBOL_CRC(cec_notifier_conn_unregister, 0xaee236c6, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_register, 0xad84589b, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_unregister, 0xc54f02e5, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr, 0xa01fbb6b, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr_from_edid, 0xc16f2887, "_gpl");
SYMBOL_CRC(cec_notifier_parse_hdmi_phandle, 0xa0e4bf8a, "_gpl");
SYMBOL_CRC(cec_pin_changed, 0x97f65ab7, "_gpl");
SYMBOL_CRC(cec_pin_allocate_adapter, 0xc81b6560, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc87def17, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x70479c43, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21b9f346, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xafe3825, "rc_keyup" },
	{ 0xef9058d2, "bus_unregister" },
	{ 0x15292356, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xea6b938b, "rc_register_device" },
	{ 0x16dce87c, "debugfs_remove" },
	{ 0x51ef7a78, "rc_keydown" },
	{ 0x5d357571, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb0540718, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x3c5d543a, "hrtimer_start_range_ns" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdfd3d22f, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5e858a55, "rc_allocate_device" },
	{ 0x9b964796, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x96eddf42, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4f9a8d1a, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x934ad7c7, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9daecdf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x46a4b118, "hrtimer_cancel" },
	{ 0xfc43b29, "seq_puts" },
	{ 0xfa58e192, "single_release" },
	{ 0x828e22f4, "hrtimer_forward" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0x4a8a13b2, "param_ops_int" },
	{ 0xc5d948f8, "single_open" },
	{ 0x865601f5, "debugfs_create_dir" },
	{ 0x4dca2445, "rc_unregister_device" },
	{ 0x83f07d81, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xb6685166, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x88e8011f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x18334dd7, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4fc23850, "device_initialize" },
	{ 0x2d0684a9, "hrtimer_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7085b9b, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x74935547, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ecd98, "wake_up_process" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "78916EB27D1CDA5AAAC727B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
