#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x223ce790, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdf2d1705, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7e595f40, "mpt_HardResetHandler" },
	{ 0x69c2e666, "mpt_free_msg_frame" },
	{ 0x1c18f1f7, "scsi_is_host_device" },
	{ 0xd822b5f8, "dma_alloc_attrs" },
	{ 0x1d1f8b9, "mpt_config" },
	{ 0x8578f701, "dma_free_attrs" },
	{ 0xe9371997, "scsi_device_lookup_by_target" },
	{ 0x69eb7125, "sdev_prefix_printk" },
	{ 0x89e9b79b, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d5dc3f1, "mptscsih_slave_destroy" },
	{ 0x4ee6b60f, "mptscsih_event_process" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf6e5cb48, "mptscsih_resume" },
	{ 0xf20ade3, "mptscsih_ioc_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xde2cba0f, "spi_dv_device" },
	{ 0xd498de1a, "spi_display_xfer_agreement" },
	{ 0x9ca1154c, "__scsi_iterate_devices" },
	{ 0xdf1eeda6, "mptscsih_slave_configure" },
	{ 0x55f5c0b2, "mpt_findImVolumes" },
	{ 0x1f53c185, "scsi_scan_target" },
	{ 0xfa5f4ee, "mptscsih_raid_id_to_num" },
	{ 0xf1d54df6, "mptscsih_suspend" },
	{ 0x6b240d6, "mptscsih_shutdown" },
	{ 0xb0abe6ae, "mptscsih_info" },
	{ 0x7bb7ea4b, "mptscsih_abort" },
	{ 0xddec84a6, "mptscsih_dev_reset" },
	{ 0x4520e364, "mptscsih_bus_reset" },
	{ 0x7855e7f7, "mptscsih_host_reset" },
	{ 0xfe66de2d, "mptscsih_change_queue_depth" },
	{ 0x477a1c50, "mptscsih_bios_param" },
	{ 0xb158e31, "mptscsih_show_info" },
	{ 0xbc3949bb, "mptscsih_host_attr_groups" },
	{ 0x4a8a13b2, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe795d5fd, "spi_attach_transport" },
	{ 0x8a98d429, "mptscsih_io_done" },
	{ 0xb5485a34, "mpt_register" },
	{ 0x11171235, "mptscsih_taskmgmt_complete" },
	{ 0xc1a503ad, "mptscsih_scandv_complete" },
	{ 0xcd9d71ce, "mpt_event_register" },
	{ 0x6633e12a, "mpt_reset_register" },
	{ 0x7c1c09c0, "__pci_register_driver" },
	{ 0x7e2a5eb3, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x5465f719, "scsi_remove_host" },
	{ 0x93bf52f5, "mptscsih_remove" },
	{ 0x446d635f, "mptscsih_qcmd" },
	{ 0xecd60757, "mptscsih_is_phys_disk" },
	{ 0x8efbfbe1, "scsi_done" },
	{ 0x50d66540, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x17cef3a9, "mpt_attach" },
	{ 0xc733f663, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7245b6c, "scsi_add_host_with_dma" },
	{ 0xcf5c8556, "scsi_scan_host" },
	{ 0x778bf35b, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5DF472A6B38EEE476E774F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
