#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x1513a9e0, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x1edc54c6, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x0997c900, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x101a3664, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x04bd3e5e, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xa583701b, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x31202d6b, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0xcd2aab54, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x55de872d, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0xa640a667, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x7f2c4f38, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x2a0c3147, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xf5d0b245, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xdef45f61, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x98cad7ed, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd0d146a, "skb_pull" },
	{ 0x33bd5c9, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6b708dc9, "ath9k_hw_set_txpowerlimit" },
	{ 0xc2dd92a6, "ath_hw_keyreset" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "77E99D44B2E3BB47B3346DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
