#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x31474c2, "ieee80211_register_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0x8b5da036, "usb_get_intf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a134e6c, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x77723a45, "ieee80211_tx_status_irqsafe" },
	{ 0x55d938e, "usb_bulk_msg" },
	{ 0xaa2d0322, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4125b86c, "usb_submit_urb" },
	{ 0x6c26c942, "_dev_info" },
	{ 0xff90294, "skb_queue_tail" },
	{ 0xea71e2e8, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x15292356, "_dev_err" },
	{ 0xaeb53252, "usb_free_coherent" },
	{ 0xbd0d146a, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x183f2e6c, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x70405545, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x96268163, "usb_control_msg" },
	{ 0x97f72b4c, "ieee80211_wake_queues" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x97e4e047, "ieee80211_alloc_hw_nm" },
	{ 0x75636b03, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8bfec40d, "__netdev_alloc_skb" },
	{ 0x1e1a86bc, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x74bddfbe, "pv_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x542804ab, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x68ddf04f, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf25f73a8, "usb_kill_urb" },
	{ 0xfb41805d, "ieee80211_beacon_get_tim" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xdb1f9d03, "ieee80211_rx_irqsafe" },
	{ 0x23635b9f, "usb_put_intf" },
	{ 0xff421860, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5fde3fe6, "usb_free_urb" },
	{ 0xf3bdcc5b, "skb_put" },
	{ 0xd5ccc375, "usb_alloc_coherent" },
	{ 0x8a5e77b7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3f5a2cd1, "skb_dequeue" },
	{ 0xfe3aa9a, "ieee80211_free_hw" },
	{ 0xef0aefda, "request_firmware" },
	{ 0xeecdd580, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x911bb8e, "regulatory_hint" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BCEE2B2E6AA59D91A79FFBF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
