#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn533_rx_frame_is_ack, "_gpl", "");
KSYMTAB_FUNC(pn533_rx_frame_is_cmd_response, "_gpl", "");
KSYMTAB_FUNC(pn533_recv_frame, "", "");
KSYMTAB_FUNC(pn533_finalize_setup, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_init, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_clean, "_gpl", "");
KSYMTAB_FUNC(pn532_i2c_nfc_alloc, "_gpl", "");
KSYMTAB_FUNC(pn53x_register_nfc, "_gpl", "");
KSYMTAB_FUNC(pn53x_unregister_nfc, "_gpl", "");

SYMBOL_CRC(pn533_rx_frame_is_ack, 0xdecfd339, "_gpl");
SYMBOL_CRC(pn533_rx_frame_is_cmd_response, 0xda3e90e5, "_gpl");
SYMBOL_CRC(pn533_recv_frame, 0x932bc0a5, "");
SYMBOL_CRC(pn533_finalize_setup, 0x7b6230d4, "_gpl");
SYMBOL_CRC(pn53x_common_init, 0xd19c286b, "_gpl");
SYMBOL_CRC(pn53x_common_clean, 0x1976e48e, "_gpl");
SYMBOL_CRC(pn532_i2c_nfc_alloc, 0xc96a68ee, "_gpl");
SYMBOL_CRC(pn53x_register_nfc, 0x0001c52c, "_gpl");
SYMBOL_CRC(pn53x_unregister_nfc, 0xccf5180d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4227542, "nfc_register_device" },
	{ 0x6c26c942, "_dev_info" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa39d5059, "nfc_get_local_general_bytes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e1f86fa, "__alloc_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8a5e77b7, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0x99822f24, "nfc_targets_found" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0x15292356, "_dev_err" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd7dbd36, "nfc_tm_activated" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e44d322, "nfc_set_remote_general_bytes" },
	{ 0x92171c32, "nfc_dep_link_is_up" },
	{ 0xd100803b, "nfc_tm_deactivated" },
	{ 0xf3bdcc5b, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e3f439b, "skb_queue_purge_reason" },
	{ 0x3f5a2cd1, "skb_dequeue" },
	{ 0xbd0d146a, "skb_pull" },
	{ 0xff90294, "skb_queue_tail" },
	{ 0x3c4903a6, "nfc_tm_data_received" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3146a72a, "nfc_allocate_device" },
	{ 0x578312fb, "nfc_unregister_device" },
	{ 0x21b9f346, "put_device" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x71169ae7, "skb_trim" },
	{ 0x70405545, "skb_push" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "9F2BBD0D8CD7A187B2A590D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
