#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x62541d6b, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0x311bafc9, "");
SYMBOL_CRC(pcmcia_dev_present, 0xc312fb82, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xc6a31d34, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x794ab789, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0x68295a17, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x2e691e7a, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x9df60fe4, "");
SYMBOL_CRC(pcmcia_release_window, 0xef9f89b7, "");
SYMBOL_CRC(pcmcia_enable_device, 0xf43fd75b, "");
SYMBOL_CRC(pcmcia_request_io, 0x94224682, "");
SYMBOL_CRC(pcmcia_request_irq, 0x157e6b4e, "");
SYMBOL_CRC(pcmcia_request_window, 0xa05f08d8, "");
SYMBOL_CRC(pcmcia_disable_device, 0xe59d88f5, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0xfa575354, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x36b774a8, "");
SYMBOL_CRC(pcmcia_get_tuple, 0xb9971e14, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x85bd9371, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb5bca14, "driver_unregister" },
	{ 0xd3c955e, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4cc67d3d, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9bea381c, "device_register" },
	{ 0x79534945, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc45ddb3, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5ecb922d, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6534e462, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb9f23dc4, "pcmcia_put_socket" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4a8a13b2, "param_ops_int" },
	{ 0x62bf314c, "sysfs_remove_bin_file" },
	{ 0xeb61b82a, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xb6685166, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbe74f0f1, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb0bc7d1e, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x88e8011f, "dev_set_name" },
	{ 0xa5be53a9, "driver_remove_file" },
	{ 0x6d1fac4e, "driver_attach" },
	{ 0x413a9e0f, "device_unregister" },
	{ 0xef0aefda, "request_firmware" },
	{ 0x274588e8, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x74935547, "get_device" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe0eeeedd, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21b9f346, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xec2125e0, "driver_create_file" },
	{ 0x55eca526, "bus_for_each_dev" },
	{ 0x6c26c942, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x3c2df2d0, "pccard_register_pcmcia" },
	{ 0xf3d1f76e, "module_put" },
	{ 0xef9058d2, "bus_unregister" },
	{ 0x15292356, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "392694640FDF2068CD11F05");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
