#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b28ed62, "__ssam_device_driver_register" },
	{ 0x4792b38, "__platform_driver_register" },
	{ 0xda775d40, "ssam_device_driver_unregister" },
	{ 0x7a5ce1de, "platform_driver_unregister" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x26be3775, "input_allocate_device" },
	{ 0x21907b2f, "input_set_capability" },
	{ 0xb5c1dd15, "input_event" },
	{ 0x8c010f58, "input_register_device" },
	{ 0x3d683022, "ssam_notifier_register" },
	{ 0xa74cbe3d, "misc_register" },
	{ 0x7c7bf01b, "input_unregister_device" },
	{ 0xda6e2c39, "input_free_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x81179dd5, "__ssam_notifier_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa78a086d, "misc_deregister" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0xee1839b0, "stream_open" },
	{ 0x568aeb4d, "ssam_client_bind" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x668b19a1, "down_read" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x20076039, "kill_fasync" },
	{ 0x53b954a2, "up_read" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x1276813e, "fasync_helper" },
	{ 0x62f7e207, "down_read_killable" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25299bec, "ssam_request_do_sync_with_buffer" },
	{ 0x51113f6f, "ssam_controller_device" },
	{ 0x15292356, "_dev_err" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "surface_aggregator");

MODULE_ALIAS("ssam:d01c11t01i00f00");
MODULE_ALIAS("acpi*:MSHW0133:*");

MODULE_INFO(srcversion, "2F725441F551F1DD6A5FDD9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
