#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x618c4c6b, "uart_insert_char" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x3ea81fa1, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xacba83f3, "tty_flip_buffer_push" },
	{ 0xf7096ccd, "do_SAK" },
	{ 0x4366205d, "_dev_warn" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x5c3c2cc7, "device_property_read_u32_array" },
	{ 0xa8898cee, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xde0ed285, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xdfd3d22f, "kthread_create_on_node" },
	{ 0x3ecd98, "wake_up_process" },
	{ 0x79a55fef, "sched_set_fifo" },
	{ 0xe4cde48a, "uart_get_rs485_mode" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc755c6a8, "uart_add_one_port" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0x13c1e8be, "gpiochip_add_data_with_key" },
	{ 0xdb954316, "devm_request_threaded_irq" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2e6872d7, "spi_setup" },
	{ 0xa4bfe6a0, "device_get_match_data" },
	{ 0x2de6c1ae, "__devm_regmap_init_spi" },
	{ 0xf5c25c1, "spi_get_device_id" },
	{ 0xa9da6c59, "i2c_client_get_device_id" },
	{ 0x37984bc3, "__devm_regmap_init_i2c" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1a8f2cd, "uart_get_baud_rate" },
	{ 0xc233fa1, "uart_update_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x751f0141, "uart_register_driver" },
	{ 0x1a5a7cc9, "i2c_register_driver" },
	{ 0x9343e540, "__spi_register_driver" },
	{ 0x122c3a7e, "_printk" },
	{ 0x523b7023, "uart_unregister_driver" },
	{ 0x3e2ed06d, "i2c_del_driver" },
	{ 0x4c3c196e, "kthread_queue_work" },
	{ 0x643cb8a7, "kthread_queue_delayed_work" },
	{ 0xa825040b, "gpiochip_get_data" },
	{ 0xb5bca14, "driver_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x23300346, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa3354033, "kthread_cancel_delayed_work_sync" },
	{ 0x560edfa8, "uart_remove_one_port" },
	{ 0xdc7ba77d, "regmap_update_bits_base" },
	{ 0xea70052e, "kthread_flush_worker" },
	{ 0x5d357571, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x101987af, "gpiochip_remove" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc77c0488, "uart_handle_cts_change" },
	{ 0xf0bff0d3, "uart_handle_dcd_change" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd4bc3a4, "regcache_cache_bypass" },
	{ 0xf4b66194, "regmap_raw_write" },
	{ 0x63c7a424, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x15292356, "_dev_err" },
	{ 0xa1fff15e, "regmap_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3e711d42, "regmap_raw_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "regmap-spi");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "9AF0CF1918AD8B0AEA27324");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
