#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0xf8aca3b2, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0xe524aad4, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xa2ec0389, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e6d3325, "__pm_runtime_set_status" },
	{ 0xeb77d60d, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21b9f346, "put_device" },
	{ 0xd495b002, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xb36f5498, "fwnode_gpiod_get_index" },
	{ 0x5c3c2cc7, "device_property_read_u32_array" },
	{ 0x6c26c942, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x34b9cbf8, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfddeb056, "efi" },
	{ 0x15292356, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x10692ed3, "cs_dsp_halo_init" },
	{ 0x9609f046, "cs_dsp_power_down" },
	{ 0xd667dea6, "device_link_remove" },
	{ 0x567b870b, "cs35l41_test_key_unlock" },
	{ 0x1d8b7d21, "hda_cs_dsp_add_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x72bf1865, "cs35l41_test_key_lock" },
	{ 0xbe09390a, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x60b2f36a, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2025e9a8, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdddb64ba, "hda_cs_dsp_write_ctl" },
	{ 0x2d9a1901, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b50df45, "devm_kasprintf" },
	{ 0x24f46801, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa66a6097, "cs35l41_exit_hibernate" },
	{ 0x999e8297, "vfree" },
	{ 0x23300346, "regmap_read" },
	{ 0x1d5d57b7, "cs_dsp_run" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x30013eab, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x4f9a8d1a, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x5e4d1cc5, "cs35l41_write_fs_errata" },
	{ 0x5f25890b, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3915bd75, "cs35l41_configure_cs_dsp" },
	{ 0xe56baaa1, "_dev_crit" },
	{ 0xdc7ba77d, "regmap_update_bits_base" },
	{ 0xb3032eeb, "dev_err_probe" },
	{ 0x574f4779, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xcacd0441, "__pm_runtime_suspend" },
	{ 0x3a79ae15, "component_add" },
	{ 0xb5d6e15a, "__pm_runtime_use_autosuspend" },
	{ 0xdbb6680, "cs35l41_set_channels" },
	{ 0xc1009303, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x5bc2d042, "device_link_add" },
	{ 0xd562e83a, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x8988df63, "acpi_dev_get_first_match_dev" },
	{ 0xaf7edacb, "gpiod_get_value_cansleep" },
	{ 0x790af7aa, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd853a7f6, "regcache_cache_only" },
	{ 0x604f051d, "is_acpi_device_node" },
	{ 0xa7466f83, "gpiod_put" },
	{ 0x55a0c1fc, "regcache_sync" },
	{ 0xa1fff15e, "regmap_write" },
	{ 0xdb954316, "devm_request_threaded_irq" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0xb98475ee, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xacc0f182, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb1833d73, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf7d404ba, "cs_dsp_stop" },
	{ 0x4d3fad7, "pm_runtime_set_autosuspend_delay" },
	{ 0xc4215d3c, "cs35l41_register_errata_patch" },
	{ 0x44e7df7f, "gpiod_set_value_cansleep" },
	{ 0xbdb80d5d, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0xdbb7d7bc, "gpiod_get_index" },
	{ 0x3761b35b, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xac30f6e7, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa1f23587, "cs35l41_init_boost" },
	{ 0xa5e2e955, "cs35l41_enter_hibernate" },
	{ 0x74935547, "get_device" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb7568e62, "hda_cs_dsp_read_ctl" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "FFB74CD46F17704B8AEF6A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
