#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x944ae112, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x7db0126b, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x302bc5f1, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xaa619f4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7cf35045, "devm_regulator_get" },
	{ 0x2ced7be9, "devm_backlight_device_register" },
	{ 0xc88061e9, "drmm_mode_config_init" },
	{ 0x7d9c14c7, "drm_universal_plane_init" },
	{ 0xc5c55e93, "drm_plane_enable_fb_damage_clips" },
	{ 0xd2d5488d, "drm_crtc_init_with_planes" },
	{ 0x3a692eb6, "drm_encoder_init" },
	{ 0xd6def7b4, "drm_connector_init" },
	{ 0xa9afd66f, "drm_connector_attach_encoder" },
	{ 0x3636e17f, "drm_mode_config_reset" },
	{ 0x4bf06d15, "drm_dev_register" },
	{ 0x77015bce, "drm_fbdev_generic_setup" },
	{ 0x15292356, "_dev_err" },
	{ 0xb3032eeb, "dev_err_probe" },
	{ 0x4ed13967, "drm_mode_duplicate" },
	{ 0x542ce3d6, "drm_mode_probed_add" },
	{ 0x8372c6dd, "drm_set_preferred_mode" },
	{ 0x2eb39125, "pwm_put" },
	{ 0x4057d68d, "regulator_disable" },
	{ 0x592a41a1, "pwm_apply_state" },
	{ 0x37a0cba, "kfree" },
	{ 0xa09f8d1a, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6d1240bb, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x3427f4df, "drm_dev_unplug" },
	{ 0xde73c5ef, "drm_atomic_helper_shutdown" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0x3fa081a4, "__drm_gem_reset_shadow_plane" },
	{ 0x1c1af8a3, "drm_dev_enter" },
	{ 0x849ff033, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xcf175851, "drm_gem_fb_begin_cpu_access" },
	{ 0xa9112b8c, "drm_fb_xrgb8888_to_mono" },
	{ 0xb8980d92, "drm_gem_fb_end_cpu_access" },
	{ 0x524440a0, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x4c9ab47d, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x44e7df7f, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb786f83, "regulator_enable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x28af3db9, "pwm_get" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0x4366205d, "_dev_warn" },
	{ 0xfb578fc5, "memset" },
	{ 0x822aee1e, "drm_plane_helper_atomic_check" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x64c21bf3, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x4a94f861, "drm_gem_shmem_dumb_create" },
	{ 0xb15bd91, "noop_llseek" },
	{ 0x3e123745, "drm_read" },
	{ 0xd6f63834, "drm_poll" },
	{ 0xae5c0cc5, "drm_ioctl" },
	{ 0x40aeef96, "drm_compat_ioctl" },
	{ 0xe42d3194, "drm_gem_mmap" },
	{ 0xc3d62f02, "drm_open" },
	{ 0x2ac9d006, "drm_release" },
	{ 0x5176e5ce, "drm_gem_fb_create_with_dirty" },
	{ 0xca21dc57, "drm_atomic_helper_check" },
	{ 0x522603e9, "drm_atomic_helper_commit" },
	{ 0x55975b7d, "drm_atomic_helper_connector_reset" },
	{ 0x30714d45, "drm_helper_probe_single_connector_modes" },
	{ 0x796502e2, "drm_connector_cleanup" },
	{ 0x291d9fb8, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x4922d3be, "drm_atomic_helper_connector_destroy_state" },
	{ 0x9637493e, "drm_encoder_cleanup" },
	{ 0x7c865f1d, "drm_atomic_helper_crtc_reset" },
	{ 0x8c9c81ba, "drm_crtc_cleanup" },
	{ 0x6744c8be, "drm_atomic_helper_set_config" },
	{ 0x97f67ea8, "drm_atomic_helper_page_flip" },
	{ 0x9abfbc94, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x37dc97e, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xb7ad88ee, "drm_crtc_helper_atomic_check" },
	{ 0x864b06d3, "drm_atomic_helper_update_plane" },
	{ 0x51f1a739, "drm_atomic_helper_disable_plane" },
	{ 0x4deef98, "drm_plane_cleanup" },
	{ 0xeed8d6f8, "drm_gem_begin_shadow_fb_access" },
	{ 0xb14513fc, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1fff15e, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe93099ce, "__devm_drm_dev_alloc" },
	{ 0xa4bfe6a0, "device_get_match_data" },
	{ 0x5c3c2cc7, "device_property_read_u32_array" },
	{ 0xfb196d81, "device_property_read_u8_array" },
	{ 0xedc705a7, "device_property_present" },
	{ 0x811a691f, "devm_gpiod_get_optional" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BB1C34B8AA4CAA4318467FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
