#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xd92f3553, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x65a279db, "_gpl");
SYMBOL_CRC(stm_data_write, 0xf5e6d632, "_gpl");
SYMBOL_CRC(stm_register_device, 0x32c3ad2c, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x4a64d5d2, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x380a25db, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xfb946215, "_gpl");
SYMBOL_CRC(stm_source_write, 0xd14b4ec3, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xa6ae103c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xf3d1f76e, "module_put" },
	{ 0x4775d23c, "compat_ptr_ioctl" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x340c84ee, "configfs_register_subsystem" },
	{ 0x2a3769db, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xd6219ffd, "config_group_init_type_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd87db21a, "class_unregister" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf3e3599a, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7f9ee434, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x18d6b450, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1c379448, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1483a1c1, "config_item_put" },
	{ 0x9bbea859, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x934ad7c7, "kobject_set_name" },
	{ 0x41bc0e50, "device_match_name" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xd1d6e0b7, "boot_cpu_data" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0xcacd0441, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xb5d6e15a, "__pm_runtime_use_autosuspend" },
	{ 0xc1009303, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbaff40d9, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb5e1cc85, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xbe74f0f1, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x220c34f2, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x413a9e0f, "device_unregister" },
	{ 0x4d3fad7, "pm_runtime_set_autosuspend_delay" },
	{ 0x891a082d, "vm_iomap_memory" },
	{ 0x4f815053, "config_item_get" },
	{ 0x4fc23850, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0c06afa, "pcpu_hot" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf987e2a8, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e6d3325, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21b9f346, "put_device" },
	{ 0xd495b002, "pm_runtime_enable" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "9BCDE3DC93BB2773EB4C19B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
