#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd32ba7bb, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6c26c942, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x26be3775, "input_allocate_device" },
	{ 0x21907b2f, "input_set_capability" },
	{ 0x3912e657, "input_set_abs_params" },
	{ 0x93787ec3, "input_mt_init_slots" },
	{ 0x8c010f58, "input_register_device" },
	{ 0x334f1190, "input_alloc_absinfo" },
	{ 0xda6e2c39, "input_free_device" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xfe8d0633, "request_firmware_nowait" },
	{ 0xef0aefda, "request_firmware" },
	{ 0xedc705a7, "device_property_present" },
	{ 0x604f051d, "is_acpi_device_node" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5c3c2cc7, "device_property_read_u32_array" },
	{ 0xfa77861f, "devm_regulator_bulk_get" },
	{ 0x811a691f, "devm_gpiod_get_optional" },
	{ 0xdb954316, "devm_request_threaded_irq" },
	{ 0xac8c8866, "regulator_bulk_enable" },
	{ 0x4ade1239, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5a7cc9, "i2c_register_driver" },
	{ 0xd9214ce4, "i2c_transfer" },
	{ 0x15292356, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96848186, "scnprintf" },
	{ 0x3e2ed06d, "i2c_del_driver" },
	{ 0xe33fc41, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xceb14be7, "irq_get_irq_data" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc4263158, "i2c_transfer_buffer_flags" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x46f16f52, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfff37be7, "sysfs_remove_group" },
	{ 0x7c7bf01b, "input_unregister_device" },
	{ 0x62666506, "regulator_bulk_disable" },
	{ 0xb5c1dd15, "input_event" },
	{ 0xcfb1d6bb, "input_mt_report_slot_state" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "A09F629FA2E656BDC6FFAFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
