#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0xa41c47e5, "devm_cci_regmap_init_i2c" },
	{ 0x70b6757, "__dev_fwnode" },
	{ 0x926335cc, "fwnode_graph_get_next_endpoint" },
	{ 0xe065b1b3, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x8e49f858, "fwnode_handle_put" },
	{ 0x37269c6c, "v4l2_fwnode_endpoint_free" },
	{ 0xc18d05e9, "devm_clk_get" },
	{ 0xfa77861f, "devm_regulator_bulk_get" },
	{ 0x811a691f, "devm_gpiod_get_optional" },
	{ 0x5c3c2cc7, "device_property_read_u32_array" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xb3032eeb, "dev_err_probe" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1e6d3325, "__pm_runtime_set_status" },
	{ 0xd495b002, "pm_runtime_enable" },
	{ 0x4d3fad7, "pm_runtime_set_autosuspend_delay" },
	{ 0xb5d6e15a, "__pm_runtime_use_autosuspend" },
	{ 0xf7e840f5, "v4l2_i2c_subdev_init" },
	{ 0xb1d6a2be, "media_entity_pads_init" },
	{ 0x7e5e5861, "v4l2_fwnode_device_parse" },
	{ 0xac1099e0, "v4l2_ctrl_handler_init_class" },
	{ 0x8f4336cc, "v4l2_ctrl_new_std" },
	{ 0x43f5142, "v4l2_ctrl_new_int_menu" },
	{ 0x4d746eff, "v4l2_ctrl_new_std_menu_items" },
	{ 0x393b62c8, "v4l2_ctrl_cluster" },
	{ 0x5c6b9474, "v4l2_ctrl_new_fwnode_properties" },
	{ 0xa3d0d36c, "__v4l2_subdev_init_finalize" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb47ae2c4, "v4l2_i2c_subdev_set_name" },
	{ 0xcab6e4f7, "v4l2_async_register_subdev" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xcacd0441, "__pm_runtime_suspend" },
	{ 0x55807ee9, "v4l2_ctrl_handler_free" },
	{ 0xc1009303, "__pm_runtime_disable" },
	{ 0x62666506, "regulator_bulk_disable" },
	{ 0xe0bc2946, "v4l2_subdev_cleanup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbed9e63e, "cci_write" },
	{ 0xe2822320, "__v4l2_find_nearest_size" },
	{ 0xf6c72537, "pm_runtime_get_if_active" },
	{ 0xfed5b28e, "v4l2_async_unregister_subdev" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x9bf4bfe3, "cci_multi_reg_write" },
	{ 0x6063739d, "__v4l2_ctrl_handler_setup" },
	{ 0xf9a482f9, "msleep" },
	{ 0x936f94c6, "__v4l2_ctrl_grab" },
	{ 0xea6f9f10, "__pm_runtime_idle" },
	{ 0xf15e15d9, "v4l2_subdev_link_validate" },
	{ 0x2c6552ae, "v4l2_subdev_get_fmt" },
	{ 0x7e2976bb, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0x9ccec462, "v4l2_event_subdev_unsubscribe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5a7cc9, "i2c_register_driver" },
	{ 0xef875548, "__v4l2_ctrl_s_ctrl" },
	{ 0x84904900, "__v4l2_ctrl_modify_range" },
	{ 0x3e2ed06d, "i2c_del_driver" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x15292356, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0xac8c8866, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x44e7df7f, "gpiod_set_value_cansleep" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "v4l2-cci,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Csony,imx290");
MODULE_ALIAS("of:N*T*Csony,imx290C*");
MODULE_ALIAS("of:N*T*Csony,imx290lqr");
MODULE_ALIAS("of:N*T*Csony,imx290lqrC*");
MODULE_ALIAS("of:N*T*Csony,imx290llr");
MODULE_ALIAS("of:N*T*Csony,imx290llrC*");
MODULE_ALIAS("of:N*T*Csony,imx327lqr");
MODULE_ALIAS("of:N*T*Csony,imx327lqrC*");

MODULE_INFO(srcversion, "C8DD930454AF0D6CA65B000");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
