#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ksz_switch_chips, "_gpl", "");
KSYMTAB_FUNC(ksz_switch_alloc, "", "");
KSYMTAB_FUNC(ksz_switch_register, "", "");
KSYMTAB_FUNC(ksz_switch_remove, "", "");

SYMBOL_CRC(ksz_switch_chips, 0x365ba506, "_gpl");
SYMBOL_CRC(ksz_switch_alloc, 0xecf336f4, "");
SYMBOL_CRC(ksz_switch_register, 0x6019eb5c, "");
SYMBOL_CRC(ksz_switch_remove, 0xa3831278, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14910ae5, "skb_complete_tx_timestamp" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xb38df6d3, "dsa_unregister_switch" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe2a2a421, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x30801684, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x263723e9, "ptp_clock_unregister" },
	{ 0x23300346, "regmap_read" },
	{ 0x524440a0, "regmap_bulk_write" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd6408373, "regmap_bulk_read" },
	{ 0x9ef14f7c, "irq_create_mapping_affinity" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x929225f1, "irq_domain_create_simple" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xdc7ba77d, "regmap_update_bits_base" },
	{ 0x3e6c54b3, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x785493b3, "irq_domain_xlate_twocell" },
	{ 0xa1fff15e, "regmap_write" },
	{ 0xbe8e0a46, "handle_level_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd8fa504a, "skb_clone_sk" },
	{ 0xd5e30e4b, "dsa_enqueue_skb" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1169bd67, "irq_domain_remove" },
	{ 0x44e7df7f, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xc56901b4, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x480bf361, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x811a691f, "devm_gpiod_get_optional" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ab7459e, "ptp_find_pin" },
	{ 0x4a3e3286, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7a600a02, "irq_set_chip_and_handler_name" },
	{ 0x6c26c942, "_dev_info" },
	{ 0x4340933, "ptp_classify_raw" },
	{ 0xe293a54c, "ptp_cancel_worker_sync" },
	{ 0x15292356, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5e6d66bb, "ptp_clock_register" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "dsa_core");


MODULE_INFO(srcversion, "19A1C37B223EE68D0E32B58");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
