#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xb53ce9f6, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x1580e07d, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x14aa4a32, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xe935bfae, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xc1ac9b86, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xdae7ea35, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe8881b87, "netif_set_real_num_tx_queues" },
	{ 0x793fdd45, "__auxiliary_device_add" },
	{ 0xaa0b2d5a, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x14e1b5e6, "netif_set_real_num_rx_queues" },
	{ 0x4eba62f8, "flow_indr_block_cb_alloc" },
	{ 0xdac83c1e, "pci_wait_for_pending_transaction" },
	{ 0xbd8dc969, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2734526, "pci_device_is_present" },
	{ 0x5a70390e, "pci_read_config_word" },
	{ 0xf7a49125, "pcie_flr" },
	{ 0x27f8172c, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x80819922, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x61dd0183, "dcbnl_ieee_notify" },
	{ 0x38d48d00, "xsk_uses_need_wakeup" },
	{ 0xb143ed98, "register_netdev" },
	{ 0x77f62814, "dev_mc_del" },
	{ 0x679a3f9c, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xe594cad1, "free_netdev" },
	{ 0x9483e73e, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1ca6887d, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xccace2b6, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e41f816, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x8795f19f, "netif_tx_stop_all_queues" },
	{ 0xf1b5399b, "pci_restore_state" },
	{ 0xe19e1717, "bpf_trace_run1" },
	{ 0x5d21f4e6, "netif_tx_wake_queue" },
	{ 0xe4c8a1ea, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5985277c, "dma_sync_single_for_cpu" },
	{ 0x5422da3d, "dcb_getapp" },
	{ 0x63007ad4, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x4366205d, "_dev_warn" },
	{ 0xdd30f20e, "flow_rule_match_ports" },
	{ 0x6edf5e59, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2717ac49, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x81e8c3b5, "netif_schedule_queue" },
	{ 0xb97b7b10, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xd6bc3c08, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xde23ebba, "flow_rule_match_ipv6_addrs" },
	{ 0x669295e8, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x263723e9, "ptp_clock_unregister" },
	{ 0x256ce940, "__pskb_pull_tail" },
	{ 0xe6b93d77, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xf778ae3b, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8cfa3ab2, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x73d12bb7, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x946ae9f6, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x77f64a5b, "flow_rule_match_pppoe" },
	{ 0x74bddfbe, "pv_ops" },
	{ 0xe873134c, "flow_rule_match_enc_control" },
	{ 0x2f610423, "bpf_trace_run3" },
	{ 0xf9ec167c, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5ecb922d, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf5b3de93, "gnss_deregister_device" },
	{ 0x9ce4dce6, "rps_may_expire_flow" },
	{ 0xd7158f03, "metadata_dst_free" },
	{ 0xb2cf2075, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x41b10e19, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9d5d66a1, "devlink_params_register" },
	{ 0x68433986, "trace_event_buffer_reserve" },
	{ 0x8befbf2, "kthread_destroy_worker" },
	{ 0xbbce574e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfcb53b95, "flow_rule_match_enc_ports" },
	{ 0x3714b225, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xf04307df, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xe5e33502, "pcie_print_link_status" },
	{ 0x714b9f29, "xp_set_rxq_info" },
	{ 0xf9442b02, "flow_rule_match_vlan" },
	{ 0xd7675f06, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x84d23cca, "napi_build_skb" },
	{ 0x18cd1322, "netdev_master_upper_dev_get_rcu" },
	{ 0x14f0cda8, "__xdp_rxq_info_reg" },
	{ 0x8c361179, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x167bc573, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xc4688839, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2c80038b, "devlink_priv" },
	{ 0x30bc59e7, "__hw_addr_sync_dev" },
	{ 0x2eec0f07, "devlink_port_register_with_ops" },
	{ 0x4d906894, "pci_disable_sriov" },
	{ 0xb2cd2c60, "pldmfw_flash_image" },
	{ 0x643cb8a7, "kthread_queue_delayed_work" },
	{ 0xe1c5ab64, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd3264ed1, "dst_release" },
	{ 0x9de8866b, "netif_carrier_on" },
	{ 0x28f4a5d1, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x40080946, "dev_uc_add_excl" },
	{ 0x13b2c61e, "pci_disable_device" },
	{ 0xd1d6e0b7, "boot_cpu_data" },
	{ 0x7ce2ec81, "xp_free" },
	{ 0xfc71ef24, "dev_mc_add_excl" },
	{ 0x3c5bb635, "gnss_put_device" },
	{ 0x5dc98e9c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeeccf0e3, "netif_set_tso_max_size" },
	{ 0xbd37cccd, "__skb_flow_dissect" },
	{ 0x2fd176b6, "vlan_dev_vlan_id" },
	{ 0x658f94ab, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x13c566df, "pcim_iomap_table" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0xc60d263, "xdp_master_redirect" },
	{ 0x3f90d385, "__devm_add_action" },
	{ 0x6f1b1c6, "napi_schedule_prep" },
	{ 0x7f85bed5, "napi_consume_skb" },
	{ 0x8982a235, "pci_read_config_byte" },
	{ 0x5717728c, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xe2c1e95d, "napi_disable" },
	{ 0x5d415933, "dev_kfree_skb_any_reason" },
	{ 0x397286a1, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4a8a13b2, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x92f538bb, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc5142718, "pci_free_irq_vectors" },
	{ 0x810924a0, "flow_rule_match_control" },
	{ 0x727edae1, "flow_rule_match_ip" },
	{ 0x7ea644a, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x54491955, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd6765e06, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xd7141ffc, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd458b892, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1b9bf34, "__tracepoint_xdp_exception" },
	{ 0x1cb8c661, "xsk_tx_completed" },
	{ 0x3f4c2bee, "alloc_etherdev_mqs" },
	{ 0xaab2d36e, "netdev_lower_get_next" },
	{ 0x8d151b13, "flow_block_cb_lookup" },
	{ 0xe561acd0, "pci_save_state" },
	{ 0x1a63146, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3b7fb760, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xd96b64a9, "device_set_wakeup_enable" },
	{ 0x40f1777e, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4909843c, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x19661573, "pci_find_ext_capability" },
	{ 0x8c5c0c3f, "kthread_create_worker" },
	{ 0x62a2ea17, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x25658c4d, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x47a9ed83, "devlink_unregister" },
	{ 0x3df6d1f2, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xdb954316, "devm_request_threaded_irq" },
	{ 0xa3354033, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x7c547446, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x34871c76, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbf618cf9, "call_switchdev_notifiers" },
	{ 0xc3243cff, "__napi_alloc_skb" },
	{ 0x97a803e4, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb98475ee, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb616a928, "auxiliary_device_init" },
	{ 0xc25df740, "pci_enable_device_mem" },
	{ 0x8a5e77b7, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x33f30f5f, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x68e3b082, "pci_alloc_irq_vectors" },
	{ 0xbe682167, "flow_rule_match_l2tpv3" },
	{ 0xa590457, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x926fd40e, "xsk_tx_peek_release_desc_batch" },
	{ 0x94a24eff, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x655d7e6a, "dmam_alloc_attrs" },
	{ 0x6982e01a, "trace_raw_output_prep" },
	{ 0xc4ef2f60, "devl_lock" },
	{ 0xf7dc50cd, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbae16451, "ndo_dflt_bridge_getlink" },
	{ 0xf75fb688, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x95cd3cfb, "xdp_features_set_redirect_target" },
	{ 0x25907c57, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdfcc592d, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x43b8d65c, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xef0aefda, "request_firmware" },
	{ 0x3e5601db, "trace_event_printf" },
	{ 0xe8f9b59a, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xcf8ce84c, "flow_rule_match_cvlan" },
	{ 0x7c1c09c0, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x97adced, "devlink_params_unregister" },
	{ 0x16deab12, "dma_sync_single_for_device" },
	{ 0x3d0b5e8d, "gnss_insert_raw" },
	{ 0x75bba906, "pci_num_vf" },
	{ 0x38149f5, "flow_rule_match_eth_addrs" },
	{ 0xc7282ba, "skb_add_rx_frag" },
	{ 0xf5260963, "get_device_system_crosststamp" },
	{ 0x5082e967, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc56901b4, "ptp_clock_index" },
	{ 0x9411178f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8239f03b, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x852e78f1, "devlink_alloc_ns" },
	{ 0x59776000, "devl_rate_leaf_destroy" },
	{ 0xccc59fc4, "devlink_register" },
	{ 0xd0c06afa, "pcpu_hot" },
	{ 0x47e19ae9, "xdp_do_redirect" },
	{ 0x5bc1b7ad, "devlink_free" },
	{ 0x6c233988, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x289b095f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6d88c3c7, "devl_rate_node_create" },
	{ 0xbad76e8b, "netdev_warn" },
	{ 0x2a4cb998, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa5ebaeb4, "pci_set_power_state" },
	{ 0x97e04e0c, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb1fbe155, "pci_irq_vector" },
	{ 0x7c383c23, "flow_rule_match_ipv4_addrs" },
	{ 0xbb523576, "xdp_rxq_info_unreg_mem_model" },
	{ 0xd583570d, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8fb45bca, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x50d66540, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x134d8d96, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4effb6be, "pskb_expand_head" },
	{ 0x9494561c, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x1b33bcd, "devlink_flash_update_status_notify" },
	{ 0x4c9ab47d, "dev_driver_string" },
	{ 0x24b82356, "pci_restore_msi_state" },
	{ 0x900b7ee6, "trace_event_buffer_commit" },
	{ 0xc5f0ce60, "xdp_return_buff" },
	{ 0xe0eeeedd, "dev_addr_mod" },
	{ 0x62ccb227, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x2682c8ea, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xed66c305, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x769ca9e3, "dma_map_page_attrs" },
	{ 0x1de47ffe, "napi_complete_done" },
	{ 0x5eabdc23, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xaa2acda2, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x7ccc3b0f, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x21b9f346, "put_device" },
	{ 0x8c3e7f4a, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x8b66ec79, "__napi_schedule" },
	{ 0x6b2adc1c, "ipv6_skip_exthdr" },
	{ 0x105d8338, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x3adad85f, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7dccf8b2, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x52132629, "__hw_addr_unsync_dev" },
	{ 0x6c26c942, "_dev_info" },
	{ 0x2c1d7c9c, "napi_gro_receive" },
	{ 0x52677de2, "xdp_features_clear_redirect_target" },
	{ 0x99442434, "netdev_pick_tx" },
	{ 0xfb68dd18, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xefc14298, "xp_raw_get_dma" },
	{ 0x43d562eb, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xaf7b3703, "xdp_rxq_info_is_reg" },
	{ 0xdc8c9516, "flow_rule_match_enc_opts" },
	{ 0x914af17b, "flow_block_cb_setup_simple" },
	{ 0x96a1f409, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x988767c5, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x46ab265d, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x28b62a13, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xacbdab4, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x83d6b9fd, "vlan_dev_real_dev" },
	{ 0xe5b7263e, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf2329d04, "devm_kmemdup" },
	{ 0x9c8879a6, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2846fffd, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x3202fd3, "devlink_port_unregister" },
	{ 0x1e09c9c5, "devlink_flash_update_timeout_notify" },
	{ 0x9df23ba1, "devm_kfree" },
	{ 0x15292356, "_dev_err" },
	{ 0x1209de19, "init_net" },
	{ 0x95af1cb7, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5cd132ba, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5e6d66bb, "ptp_clock_register" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FC8C9F4D52E821435EA2B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
