#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xbebb11ce, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xb51b7b3f, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x0118b041, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x6188162e, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x42b853b6, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x16a7360b, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x7fb74b73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21bcd3a9, "mt76x02_mac_shared_key_setup" },
	{ 0xf69389c1, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa6d4f887, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c26c942, "_dev_info" },
	{ 0xf6850bd0, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x29072237, "ieee80211_queue_delayed_work" },
	{ 0xecb4cf0d, "mt76_eeprom_init" },
	{ 0x15292356, "_dev_err" },
	{ 0xb40fb8a6, "mt76x02_mac_setaddr" },
	{ 0xad1da88b, "mt76_register_device" },
	{ 0xc8748968, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x894be090, "mt76x02_phy_set_band" },
	{ 0x383d50e3, "mt76_set_channel" },
	{ 0xeb4a1807, "mt76x02_init_device" },
	{ 0x97f72b4c, "ieee80211_wake_queues" },
	{ 0x39409252, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xab9b6ebf, "mt76x02_phy_set_rxpath" },
	{ 0xce4879bc, "mt76x02_edcca_init" },
	{ 0x9dff6247, "mt76_eeprom_override" },
	{ 0x4bc586f1, "mt76x02_get_lna_gain" },
	{ 0xa5f18770, "mt76x02_init_debugfs" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e1a86bc, "ieee80211_stop_queues" },
	{ 0xd15ed29e, "mt76x02_mac_cc_reset" },
	{ 0x423529cc, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x48bfbc52, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe2a4249f, "____mt76_poll_msec" },
	{ 0x1d0f04db, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabd725e, "mt76x02_config_mac_addr_list" },
	{ 0xf102ecaf, "mt76_get_sar_power" },
	{ 0xf44297f9, "mt76x02_eeprom_copy" },
	{ 0xcb61f2c3, "mt76x02_mcu_calibrate" },
	{ 0xe31063c9, "mt76x02_mcu_function_select" },
	{ 0xdfdddddb, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x6ad8d994, "mt76x02_mac_wcid_setup" },
	{ 0xe1700208, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7ae63aaa, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x8dd46328, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcd87e6f9, "mt76_init_sar_power" },
	{ 0x81c13492, "mt76x02_phy_adjust_vga_gain" },
	{ 0xb7a97210, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "759B99BBB4F3E1CAD340920");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
