#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x8c91d2a1, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x1f692667, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x6789435d, "");
SYMBOL_CRC(sdw_intel_startup, 0x38cb8630, "");
SYMBOL_CRC(sdw_intel_exit, 0x41b85f8a, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xf7e62af8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16dce87c, "debugfs_remove" },
	{ 0x68d8fd39, "cdns_xfer_msg_defer" },
	{ 0x97744f2e, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe4c8a1ea, "device_del" },
	{ 0xe5ba074c, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b50df45, "devm_kasprintf" },
	{ 0xc3b89de1, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x9b964796, "seq_read" },
	{ 0x96eddf42, "debugfs_create_file" },
	{ 0x8796cd99, "sdw_stream_add_master" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x785fa24b, "cdns_read_ping_status" },
	{ 0x618bdfd8, "acpi_fetch_acpi_dev" },
	{ 0x5eca9d28, "device_get_named_child_node" },
	{ 0xf766a11, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x18fdb38a, "sdw_cdns_config_update" },
	{ 0xe9daecdf, "seq_printf" },
	{ 0xb4924384, "sdw_bus_master_delete" },
	{ 0xfa58e192, "single_release" },
	{ 0xef8c6bec, "__auxiliary_driver_register" },
	{ 0x9d7a208a, "sdw_cdns_check_self_clearing_bits" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0xb5d6e15a, "__pm_runtime_use_autosuspend" },
	{ 0xddebc5dd, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x4a8a13b2, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xc5d948f8, "single_open" },
	{ 0xe2fb5312, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0xc1009303, "__pm_runtime_disable" },
	{ 0x865601f5, "debugfs_create_dir" },
	{ 0x8a8121f8, "sdw_master_read_prop" },
	{ 0xd0bdc01e, "sdw_compute_params" },
	{ 0xea6f9f10, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe4f5c666, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd1d30ee9, "simple_attr_open" },
	{ 0xfb49d059, "debugfs_attr_write" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0xb616a928, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa0d951c5, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x42eaf47a, "sdw_cdns_clock_restart" },
	{ 0xad5e991d, "sdw_cdns_debugfs_init" },
	{ 0xbad555ce, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x4d3fad7, "pm_runtime_set_autosuspend_delay" },
	{ 0x1b63a4ff, "sdw_bus_master_add" },
	{ 0xbb785d22, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0xc37884fc, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xddb78098, "sdw_cdns_is_clock_stop" },
	{ 0x7085b9b, "seq_lseek" },
	{ 0x35fa4352, "sdw_cdns_config_update_set_wait" },
	{ 0xced1e33c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5dac8f3b, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e6d3325, "__pm_runtime_set_status" },
	{ 0x6e24c1ee, "auxiliary_driver_unregister" },
	{ 0x11de6363, "devm_snd_soc_register_component" },
	{ 0xa232664e, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21b9f346, "put_device" },
	{ 0x6407e1aa, "cdns_set_sdw_stream" },
	{ 0xd495b002, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf1761dc9, "fwnode_property_read_u32_array" },
	{ 0x6c26c942, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x4e3c6f94, "sdw_clear_slave_status" },
	{ 0xd60c59d5, "debugfs_attr_read" },
	{ 0xe84e3944, "sdw_stream_remove_master" },
	{ 0xa3014c41, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x79808440, "sdw_cdns_exit_reset" },
	{ 0x15292356, "_dev_err" },
	{ 0x54d3bbbb, "simple_attr_release" },
	{ 0x793fdd45, "__auxiliary_device_add" },
	{ 0xc62ec800, "sdw_cdns_alloc_pdi" },
	{ 0xa7658cdf, "sdw_cdns_clock_stop" },
	{ 0xbba84f01, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "D3FA80569C523AEACDD8B8F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
