#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xf2b64b68, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x70b382e8, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x0190d5d3, "");
SYMBOL_CRC(usb_serial_resume, 0x6e9fdc54, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x42227f64, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x1ffe280b, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x8dc0b78e, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xbad7a025, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x745b9c3a, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xc7948873, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xe64020be, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x0ae359dc, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x8a6516a4, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xca1e3c01, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x28b61af4, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xc5fd8fd4, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x8d670fd7, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xd9682c92, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x4f927e7b, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xb166d44a, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x842b6410, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x5286c927, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0x8b5da036, "usb_get_intf" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb3e7c6e9, "usb_driver_release_interface" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x603a1e74, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21b9f346, "put_device" },
	{ 0xbc1f8b2, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x4125b86c, "usb_submit_urb" },
	{ 0x6c26c942, "_dev_info" },
	{ 0xf53e7788, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf3d1f76e, "module_put" },
	{ 0x4a6a803, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1349fd31, "usb_match_id" },
	{ 0x10f49440, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef9058d2, "bus_unregister" },
	{ 0x15292356, "_dev_err" },
	{ 0x2a3769db, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xf7db6d0f, "tty_ldisc_ref" },
	{ 0x53a8552e, "tty_vhangup" },
	{ 0x9f0091a2, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2ba10ff, "tty_port_destroy" },
	{ 0x75ebe7ab, "tty_port_init" },
	{ 0x7a81ede3, "usb_driver_claim_interface" },
	{ 0x8275f4d6, "seq_putc" },
	{ 0xd6589c2d, "usb_poison_urb" },
	{ 0xba2fe513, "usb_unpoison_urb" },
	{ 0xb5bca14, "driver_unregister" },
	{ 0x3cb130b8, "tty_port_register_device" },
	{ 0x424327c5, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75636b03, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe4c8a1ea, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xad22b787, "tty_port_close" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x796def00, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5a691403, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf25f73a8, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa0861e11, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9daecdf, "seq_printf" },
	{ 0x517e79cb, "tty_port_open" },
	{ 0xfc43b29, "seq_puts" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xeb61b82a, "driver_register" },
	{ 0x7947b74e, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xb6685166, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb632db59, "tty_port_tty_get" },
	{ 0x23635b9f, "usb_put_intf" },
	{ 0xff421860, "usb_alloc_urb" },
	{ 0x32f1d64, "usb_autopm_put_interface" },
	{ 0xbe74f0f1, "try_module_get" },
	{ 0x5fde3fe6, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x88e8011f, "dev_set_name" },
	{ 0xb002d99, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xacba83f3, "tty_flip_buffer_push" },
	{ 0x6d1fac4e, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xafe0531e, "tty_kref_put" },
	{ 0xeecdd580, "usb_register_driver" },
	{ 0x853c1bb, "usb_match_one_id" },
	{ 0x4fc23850, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd0c06afa, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xe0c91c4d, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa1f92af0, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc17e9946, "usb_show_dynids" },
	{ 0x48d8bf70, "tty_hangup" },
	{ 0x163a2a6c, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "D64A5E5746A1EC74C815A3A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
