#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xf802fe51, "");
SYMBOL_CRC(wpan_phy_for_each, 0xdefbfc02, "");
SYMBOL_CRC(wpan_phy_new, 0x8534580d, "");
SYMBOL_CRC(wpan_phy_register, 0x9d1014ce, "");
SYMBOL_CRC(wpan_phy_unregister, 0x36129e3b, "");
SYMBOL_CRC(wpan_phy_free, 0xe932304e, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x91036621, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x75c093e0, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x816c903f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x858a9d9f, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x41354096, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x5c311669, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x1806301b, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xe2cfbbd4, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x513e544d, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x4255ec2a, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x64582a8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89cd6e20, "dev_get_by_index" },
	{ 0x183f2e6c, "kfree_skb_reason" },
	{ 0x70405545, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x679a3f9c, "trace_event_reg" },
	{ 0xd87db21a, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x89115bd4, "unregister_pernet_device" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe19e1717, "bpf_trace_run1" },
	{ 0xe4c8a1ea, "device_del" },
	{ 0x7d7d42bc, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x256ce940, "__pskb_pull_tail" },
	{ 0x71169ae7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2f610423, "bpf_trace_run3" },
	{ 0x1dffc8c7, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xae757334, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0x68433986, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x41bc0e50, "device_match_name" },
	{ 0x5eec7595, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa81d5cd4, "genl_unregister_family" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2e03a318, "genl_register_family" },
	{ 0x2cce2136, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x18c0acf4, "register_pernet_device" },
	{ 0xd6e80709, "get_net_ns_by_fd" },
	{ 0xbaff40d9, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xb5e1cc85, "class_find_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4fe6e939, "bpf_trace_run4" },
	{ 0xf3bdcc5b, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x88e8011f, "dev_set_name" },
	{ 0x567e5cd7, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6982e01a, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x25907c57, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3e5601db, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4fc23850, "device_initialize" },
	{ 0x7d4807de, "genlmsg_put" },
	{ 0x9411178f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0c06afa, "pcpu_hot" },
	{ 0x289b095f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x74935547, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe995e4fe, "device_rename" },
	{ 0x900b7ee6, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21b9f346, "put_device" },
	{ 0xe0387f1c, "netlink_broadcast" },
	{ 0xa916b694, "strnlen" },
	{ 0x1e1f86fa, "__alloc_skb" },
	{ 0xa70dfad6, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2aee5080, "__dev_get_by_index" },
	{ 0x2846fffd, "perf_trace_run_bpf_submit" },
	{ 0x1209de19, "init_net" },
	{ 0xbd0d146a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2a3769db, "device_add" },
	{ 0x324b3a4f, "netlink_unicast" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FB7A640BC85D0CEB8BD5412");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
