#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xcf877360, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x7980d024, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x4866c923, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xe99da022, "");
SYMBOL_CRC(gss_mech_put, 0xa677bcba, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x481b3420, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x0da2111b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe87ba33e, "rpcauth_init_credcache" },
	{ 0x142a7ef9, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x7aca99d2, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x679a3f9c, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xe49bdb67, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x76bb7b75, "rpc_sleep_on_timeout" },
	{ 0x143df6a4, "rpc_create" },
	{ 0xe19e1717, "bpf_trace_run1" },
	{ 0xcb9cd1ec, "rpc_call_sync" },
	{ 0x8b0d17f1, "from_kuid" },
	{ 0xf479003a, "unregister_pernet_subsys" },
	{ 0xadc7d03f, "rpc_queue_upcall" },
	{ 0x86deaf50, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf3192327, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d88e62, "svcauth_unix_set_client" },
	{ 0xc4b10a8f, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xd84fbe6d, "make_kgid" },
	{ 0x31c0be71, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xa8fd4d7c, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18d6b450, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2f610423, "bpf_trace_run3" },
	{ 0x1dffc8c7, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x26208835, "rpc_mkpipe_dentry" },
	{ 0xfce00f26, "rpc_mkpipe_data" },
	{ 0xe290d5d1, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x68433986, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x31f33d29, "cache_register_net" },
	{ 0x3ecb2520, "init_user_ns" },
	{ 0x37cb78a8, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe6cf7e01, "xdr_inline_pages" },
	{ 0x3dbffd3e, "__folio_put" },
	{ 0x38f1e90a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0x4400d1ba, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbf7887b9, "rpc_unlink" },
	{ 0xd5378df1, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x65433a4f, "from_kuid_munged" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0x46ae22ab, "rpcauth_init_cred" },
	{ 0x57aee43d, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1039b504, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xf097d798, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x529922f1, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x2bb3ee98, "sunrpc_cache_update" },
	{ 0x2f0651e6, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7d380fc2, "auth_domain_put" },
	{ 0xbc35b6d5, "rpcauth_unwrap_resp_decode" },
	{ 0x39d8e7ce, "rpcauth_register" },
	{ 0x409cd5d8, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xbe74f0f1, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x87464191, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x74f56c65, "xdr_buf_from_iov" },
	{ 0x4fe6e939, "bpf_trace_run4" },
	{ 0xee0e0abd, "xdr_stream_decode_opaque_auth" },
	{ 0x3be86b3a, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x400efb58, "xdr_write_pages" },
	{ 0x19bf1fce, "rpc_shutdown_client" },
	{ 0x720ef387, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7a032e41, "xdr_inline_decode" },
	{ 0x1c51e052, "cache_create_net" },
	{ 0x94234867, "rpcauth_destroy_credcache" },
	{ 0x6982e01a, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x819cd17e, "bpf_trace_run6" },
	{ 0x145a5854, "rpc_net_ns" },
	{ 0xa7109ab2, "read_bytes_from_xdr_buf" },
	{ 0x25907c57, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0x3e5601db, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x372b2ac8, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x9411178f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xd0c06afa, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x5a49e2eb, "__put_devmap_managed_page_refs" },
	{ 0x115e5bc9, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x289b095f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x75a7e454, "xdr_truncate_decode" },
	{ 0x71c515c6, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd809408c, "__xdr_commit_encode" },
	{ 0xcc03b2d9, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe89ba782, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0x65a8f71a, "register_pernet_subsys" },
	{ 0x900b7ee6, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d5ea54c, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8e4e86ef, "rpc_release_client" },
	{ 0x309df209, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34d184de, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xed86f8b, "svc_auth_register" },
	{ 0x2e779d8, "xdr_stream_encode_opaque_auth" },
	{ 0x98dcb308, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xec958d3f, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7dccf8b2, "__free_pages" },
	{ 0x7098000, "rpc_pipe_generic_upcall" },
	{ 0xf3d1f76e, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x8cd4e302, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7f1d5df9, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2846fffd, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c98384b, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "06489F61E5DAADEB634AA6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
