#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_machine_check, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0xd2cea08c, "");
SYMBOL_CRC(sof_set_fw_state, 0xdc08c325, "");
SYMBOL_CRC(snd_sof_device_probe, 0x805834f6, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0xda1b2a2a, "");
SYMBOL_CRC(snd_sof_device_remove, 0x29d829b2, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x93ba96d6, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0xcc0225ea, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x855ea4a8, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0xc914e2ae, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0xf0f8403e, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0x88b2f750, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0x87e09777, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x20a51dc3, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x50fcecf0, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0xad8f4293, "");
SYMBOL_CRC(snd_sof_run_firmware, 0x608564d4, "");
SYMBOL_CRC(snd_sof_fw_unload, 0x4193d923, "");
SYMBOL_CRC(sof_ipc_tx_message, 0x8244162b, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x3886a9d7, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0x62b5f681, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0x1ed1fec0, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x122ca558, "");
SYMBOL_CRC(snd_sof_ipc_init, 0xcd194649, "");
SYMBOL_CRC(snd_sof_ipc_free, 0xedf7d7fe, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0x74e046b6, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0xf1859801, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0x149c68b0, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0x3bcce8c5, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0xc3478552, "");
SYMBOL_CRC(snd_sof_resume, 0x2cf32f4f, "");
SYMBOL_CRC(snd_sof_suspend, 0x7775b0c3, "");
SYMBOL_CRC(snd_sof_prepare, 0xe93806cd, "");
SYMBOL_CRC(snd_sof_complete, 0x52e77ad8, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0x7d0c9af0, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0x79d579da, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0x5eeb2505, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0x92b6adae, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0x36a795aa, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x34f95fd3, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0xa576b688, "");
SYMBOL_CRC(snd_sof_load_topology, 0xe968431a, "");
SYMBOL_CRC(sof_io_write, 0xedc3a69e, "");
SYMBOL_CRC(sof_io_read, 0xcbeef3e7, "");
SYMBOL_CRC(sof_io_write64, 0x10345d60, "");
SYMBOL_CRC(sof_io_read64, 0x4b0ea029, "");
SYMBOL_CRC(sof_mailbox_write, 0x130be09e, "");
SYMBOL_CRC(sof_mailbox_read, 0x8bea1016, "");
SYMBOL_CRC(sof_block_write, 0x186e2ff2, "");
SYMBOL_CRC(sof_block_read, 0xd29216e3, "");
SYMBOL_CRC(sof_widget_free, 0x228daeb1, "");
SYMBOL_CRC(sof_widget_setup, 0x8fd3bcec, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0x38c61c3d, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x5f680424, "");
SYMBOL_CRC(sof_dai_get_bclk, 0x5bb7f590, "");
SYMBOL_CRC(sof_machine_check, 0x1ebc228e, "");
SYMBOL_CRC(sof_machine_register, 0x7235935b, "");
SYMBOL_CRC(sof_machine_unregister, 0xa504fc84, "");
SYMBOL_CRC(sof_ipc_msg_data, 0x8d60c5ba, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0xf35b9ef8, "");
SYMBOL_CRC(sof_stream_pcm_open, 0x5705d971, "");
SYMBOL_CRC(sof_stream_pcm_close, 0xa9942e64, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0xdcdea76c, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0xc9c50028, "");
SYMBOL_CRC(sof_client_dev_register, 0x53640ef3, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0x40c1d5a1, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0x5cae66e7, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0x28489034, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0xbab9c78e, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0xbc003cf5, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0xc16dfc9a, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0x4c2f8df3, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0x0f21de36, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0x48949475, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0x280dd5ea, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0xbdbfbc66, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0x30e7fdb5, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x79c29b56, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x1bda6804, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0xc00055bc, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0xe746a128, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0xd01cb730, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0x285ad948, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0xd5a92145, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4f9a8d1a, "param_ops_bool" },
	{ 0x48c933cb, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa11723f6, "snd_pcm_period_elapsed" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc0fddfd0, "kmalloc_trace" },
	{ 0xcacd0441, "__pm_runtime_suspend" },
	{ 0xa619d453, "snd_pcm_hw_constraint_step" },
	{ 0x716e809a, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0x4a8a13b2, "param_ops_int" },
	{ 0x89e9b79b, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x865601f5, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6a888641, "pci_write_config_dword" },
	{ 0x4f27ec7d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb2a8b634, "dpcm_end_walk_at_be" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa96d4b5a, "snd_soc_dapm_dai_free_widgets" },
	{ 0xbe74f0f1, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xde324f76, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf069d8e, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb616a928, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5939953f, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6982e01a, "trace_raw_output_prep" },
	{ 0x25907c57, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xef0aefda, "request_firmware" },
	{ 0x3e5601db, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf6c72537, "pm_runtime_get_if_active" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x9411178f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0c06afa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x289b095f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x779585dd, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x38919730, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6fa4edd1, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x900b7ee6, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xcbdd3b7d, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x19b18eb5, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11de6363, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21b9f346, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6c26c942, "_dev_info" },
	{ 0x2e9bd100, "debugfs_file_put" },
	{ 0xf3d1f76e, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x709881c3, "intel_nhlt_get_endpoint_blob" },
	{ 0x4e4eca8e, "snd_soc_rtdcom_lookup" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf2329d04, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2846fffd, "perf_trace_run_bpf_submit" },
	{ 0x9df23ba1, "devm_kfree" },
	{ 0x15292356, "_dev_err" },
	{ 0xae53cb2d, "simple_open" },
	{ 0x8b308636, "platform_device_unregister" },
	{ 0x793fdd45, "__auxiliary_device_add" },
	{ 0xb18e10a3, "widget_in_list" },
	{ 0xdbe25a4b, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x16dce87c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x679a3f9c, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5f751cd1, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x24399cd0, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe19e1717, "bpf_trace_run1" },
	{ 0xe4c8a1ea, "device_del" },
	{ 0x987f4204, "default_llseek" },
	{ 0x4366205d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab08bfae, "debugfs_create_u32" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8a113381, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x164bfc42, "snd_ctl_notify_one" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2b50df45, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb8ba9f2d, "snd_pcm_hw_constraint_integer" },
	{ 0x2f610423, "bpf_trace_run3" },
	{ 0x96eddf42, "debugfs_create_file" },
	{ 0xb97bcf5b, "platform_device_register_full" },
	{ 0x68433986, "trace_event_buffer_reserve" },
	{ 0x1d3b8f37, "__pm_runtime_resume" },
	{ 0xb2052e97, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core,snd,snd-sof-utils,snd-intel-dspcfg");


MODULE_INFO(srcversion, "EA1ABCA4968A80EBCE9A1FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
